Skip to main content
`Ctrl`+`K`

# TSDiscGradUseGonzalez

Sets discrete gradient formulation with or without additional conservative terms.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSDiscGradUseGonzalez(TS ts, PetscBool flg)

Not Collective

## Input Parameters

- ts - timestepping context

- flg - `PETSC_TRUE` to use the Gonzalez term

## Options Database Key

- -ts_discgrad_gonzalez - use the Gonzalez term for the discrete gradient formulation

## Notes

Without `flg`, the discrete gradients timestepper is just backwards Euler.

## See Also

TS: Scalable ODE and DAE Solvers, `TSDISCGRAD`

## Level

intermediate

## Location

src/ts/impls/implicit/discgrad/tsdiscgrad.c

## Implementations

TSDiscGradUseGonzalez_DiscGrad() in src/ts/impls/implicit/discgrad/tsdiscgrad.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages